% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dye_bias.R
\name{dyeBiasDistortion}
\alias{dyeBiasDistortion}
\title{Quantify how much dye bias in high signal range deviates from the
global median}
\usage{
dyeBiasDistortion(sdf)
}
\arguments{
\item{sdf}{a \code{SigDF}}
}
\value{
a numeric score
}
\description{
Positive value indicates augmentation of high-end dye bias over
low-end. negative value represents high-end dye bias contradicts
that at low-end (a distorted dye bias). Negative distortion score
(< -1) suggests low experiment quality. 0 suggests a consistent
dye bias at high and low-end.
}
\examples{
sdf <- sesameDataGet('EPIC.1.SigDF')
dyeBiasDistortion(sdf)
}
