% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/visualize.R
\name{getProbesByGene}
\alias{getProbesByGene}
\title{Get Probes by Gene}
\usage{
getProbesByGene(
  geneName,
  platform = c("EPIC", "HM450", "MM285"),
  upstream = 0,
  dwstream = 0,
  refversion = c("hg38", "hg19", "mm10")
)
}
\arguments{
\item{geneName}{gene name}

\item{platform}{EPIC or HM450}

\item{upstream}{number of bases to expand upstream of target gene}

\item{dwstream}{number of bases to expand downstream of target gene}

\item{refversion}{hg38 or hg19}
}
\value{
probes that fall into the given gene
}
\description{
Get probes mapped to a gene. All transcripts for the gene are considered.
The function takes a gene name as appears in UCSC RefGene database. The
platform and reference genome build can be changed with `platform` and
`refversion` options. The function returns a vector of probes that falls
into the given gene.
}
\examples{
probes <- getProbesByGene('CDKN2A', upstream=500, dwstream=500)
}
