% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/species.R
\name{inferSpecies}
\alias{inferSpecies}
\title{Infer Species}
\usage{
inferSpecies(
  sdf,
  df_as = NULL,
  topN = 3000,
  threshold.pos = 0.01,
  threshold.neg = 0.1,
  ret.max = TRUE,
  balance = TRUE,
  threshold.sucess.rate = 0.8
)
}
\arguments{
\item{sdf}{a \code{SigSet}}

\item{df_as}{a data.frame of alignment score for each probe.}

\item{topN}{Top n positive and negative probes used to infer species.}

\item{threshold.pos}{pvalue < threshold.pos are considered positive
(default: 0.01).}

\item{threshold.neg}{pvalue > threshold.neg are considered negative
(default: 0.2).}

\item{ret.max}{whether to return the species with maximal AUC.}

\item{balance}{whether to balance the postive and negative probe
number (default: TRUE).}

\item{threshold.sucess.rate}{threshold of success rate to determine
mouse species.}
}
\value{
a list of auc, pvalue, species (NCBI official species names)
and taxid.
}
\description{
We infer species based on probes pvalues and alignment score.
AUC was calculated for each specie, y_true is 1 or 0 
for pval < threshold.pos or pval > threshold.neg, respeceively,
}
\examples{
if (FALSE) { ## remove this, testing doesn't allow large file caching
  sdf = sesameDataGet("MM285.1.SigDF")
  inferSpecies(sdf)
}
}
