% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/QC.R
\name{qualityRank}
\alias{qualityRank}
\title{This function looks at public data of similar nature
e.g., tissue, FFPE vs non-FFPE, etc to evaluate the quality
of the target data quality}
\usage{
qualityRank(sdf, tissue = NULL, samplePrep = NULL, raw = FALSE)

qualityRank(sdf, tissue = NULL, samplePrep = NULL, raw = FALSE)
}
\arguments{
\item{sdf}{a raw (unprocessed) \code{SigDF}}

\item{tissue}{A string (blood,buccal and saliva)}

\item{samplePrep}{FFPE, fresh, frozen}

\item{raw}{to return the raw comparison table}
}
\value{
three numbers:
1. The number of public samples compared.
2. The fraction of public samples with more nondetection, and
3. The fraction of public samples with lower mean intensity
4. The higher the fraction, the better the sample.

three numbers:
1. The number of public samples compared.
2. The fraction of public samples with more nondetection, and
3. The fraction of public samples with lower mean intensity
4. The higher the fraction, the better the sample.
}
\description{
This function looks at public data of similar nature
e.g., tissue, FFPE vs non-FFPE, etc to evaluate the quality
of the target data quality

This function looks at public data of similar nature
e.g., tissue, FFPE vs non-FFPE, etc to evaluate the quality
of the target data quality
}
\examples{

sesameDataCache("EPIC") # if not done yet
sdf <- sesameDataGet('EPIC.1.SigDF')
ranks <- qualityRank(sdf)


sesameDataCache("EPIC") # if not done yet
sdf <- sesameDataGet('EPIC.1.SigDF')
ranks <- qualityRank(sdf)

}
